For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
      • GETGet purchase orders
      • POSTCreate a purchase order
      • GETGet the available variables for purchase orders
      • GETGet a purchase order by ID
      • DELDelete a purchase order
      • PATCHUpdate a purchase order
      • POSTPreview a purchase order's email message
      • POSTSend a purchase order via email
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts payablePurchase orders

Preview a purchase order's email message

POST
/payable_purchase_orders/:purchase_order_id/preview
POST
/v1/payable_purchase_orders/:purchase_order_id/preview
$curl -X POST https://api.sandbox.monite.com/v1/payable_purchase_orders/purchase_order_id/preview \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "body_text": "body_text",
> "subject_text": "subject_text"
>}'
1{
2 "body_preview": "body_preview",
3 "subject_preview": "subject_preview"
4}
Was this page helpful?
Previous

Send a purchase order via email

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

purchase_order_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
body_textstringRequired
subject_textstringRequired

Response

Successful Response
body_previewstring
subject_previewstring

Errors

400
Post Payable Purchase Orders ID Preview Request Bad Request Error
401
Post Payable Purchase Orders ID Preview Request Unauthorized Error
403
Post Payable Purchase Orders ID Preview Request Forbidden Error
404
Post Payable Purchase Orders ID Preview Request Not Found Error
422
Post Payable Purchase Orders ID Preview Request Unprocessable Entity Error
500
Post Payable Purchase Orders ID Preview Request Internal Server Error